use std::io;

fn main(){
    let mut Ns = String::new();
    io::stdin()
        .read_line(&mut Ns)
        .expect("Failded to read line");
    Ns.pop();
    let N = Ns.parse::<u64>().unwrap();
    println!("{}", fib(1, 0, 1, N));
}

fn fib(curr_n:u64, prev_n:u64, recur:u64, end:u64) -> u64{
    if recur == end
    {
    return curr_n;
    }
    fib(curr_n+prev_n, curr_n, recur+1, end)
}
